############################################
#
#  $Id: DBI.pm,v 1.1 2002/11/29 04:55:45 joko Exp $
#
#  $Log: DBI.pm,v $
#  Revision 1.1  2002/11/29 04:55:45  joko
#  + initial check-in
#
#
############################################

package Data::Storage::Result::DBI;

use strict;
use warnings;

use base ("Data::Storage::Result::Abstract");

sub DESTROY {
  my $self = shift;
  #$logger->debug( __PACKAGE__ . "->" . "DESTROY" );
  $self->{RESULTHANDLE} && $self->{RESULTHANDLE}->finish();
}

sub getNextEntry {
  my $self = shift;
  $self->{RESULTHANDLE} && return $self->{RESULTHANDLE}->fetchrow_hashref;
}

sub getStatus {
  my $self = shift;
  my $status = {
    err => $self->{RESULTHANDLE}->err,
    errstr => $self->{RESULTHANDLE}->errstr,
    state => $self->{RESULTHANDLE}->state,
  };
  return $status;
}

1;
